//@line 38 "/home/build/tinderbuild/src/flock/mozilla/browser/components/bookmarks/content/bookmarksPanel.js"

function manageBookmarks() {
  openDialog("chrome://browser/content/bookmarks/bookmarksManager.xul", "", "chrome,dialog=no,resizable=yes");
}

function addBookmark() {
  var contentArea = top.document.getElementById('content');                   
  if (contentArea) {
    const browsers = contentArea.browsers;
    if (browsers.length > 1)
      BookmarksUtils.addBookmarkForTabBrowser(contentArea);
    else
      BookmarksUtils.addBookmarkForBrowser(contentArea.webNavigation, true);    
  }
  else
    BookmarksUtils.addBookmark(null, null, undefined, true);
}

function toggleFavorites()
{
  var radiogroup = document.getElementById('favoriteRadioGroup');

  switch(radiogroup.selectedItem.id)
  {
    case 'radio_media':
      document.getElementById('media').removeAttribute('hidden');
      document.getElementById('media').open = true;
      document.getElementById('web_pages').hidden="true";
      document.getElementById('online_bookmarks').hidden="true";
      break;
    case 'radio_web_pages':
      document.getElementById('media').hidden="true";
      document.getElementById('web_pages').removeAttribute('hidden');
      document.getElementById('web_pages').open = true;
      document.getElementById('online_bookmarks').removeAttribute('hidden');
      document.getElementById('online_bookmarks').open = true;
      break;
    case 'radio_news':
      document.getElementById('media').hidden="true";
      document.getElementById('web_pages').hidden="true";
      document.getElementById('online_bookmarks').hidden="true";
      break;
    default:
      document.getElementById('media').removeAttribute('hidden');
      document.getElementById('web_pages').removeAttribute('hidden');
      document.getElementById('online_bookmarks').removeAttribute('hidden');
      break
  }
}

function search(aValue) {
  document.getElementById('bookmarks-view').searchBookmarks(aValue);
	document.getElementById('bookmarks-view-online').searchBookmarks(aValue);
  document.getElementById("web_pages").open = true;
  document.getElementById("online_bookmarks").open = true;
}

function onLoad_bmPanel() {
  var metrics = Components.classes['@flock.com/metrics-service;1']
    .getService(Components.interfaces.flockIMetricsService);
  metrics.reportCount('favesSidebar open');
  initOnlineFavoritesObservor();
}

function onUnload_bmPanel() {
  var metrics = Components.classes['@flock.com/metrics-service;1']
    .getService(Components.interfaces.flockIMetricsService);
  metrics.reportCount('favesSidebar close');
  uninitOnlineFavoritesObservor();
}
